aboutsummaryrefslogtreecommitdiffstats
path: root/test-all-options.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xtest-all-options.sh25
1 files changed, 11 insertions, 14 deletions
diff --git a/test-all-options.sh b/test-all-options.sh
index 039ba83..657858a 100755
--- a/test-all-options.sh
+++ b/test-all-options.sh
@@ -1,20 +1,16 @@
#!/bin/bash
for a in PASSPHRASE_ECHO ""; do
- for b in PASSPHRASE_STAR ""; do
- for c in PASSPHRASE_TEXT ""; do
- for d in PASSPHRASE_REALLOC ""; do
- for e in PASSPHRASE_MOVE ""; do
- for f in PASSPHRASE_INSERT ""; do
- for g in PASSPHRASE_OVERRIDE ""; do
- for h in PASSPHRASE_DELETE ""; do
- for i in PASSPHRASE_CONTROL ""; do
- for j in PASSPHRASE_DEDICATED ""; do
- for k in DEFAULT_INSERT ""; do
- for l in PASSPHRASE_INVALID ""; do
- make libpassphrase -B OPTIONS="$a $b $c $d $e $f $g $h $i $j $k $l" || exit 1
- done
- done
+ for b in PASSPHRASE_STAR PASSPHRASE_TEXT ""; do
+ for c in PASSPHRASE_REALLOC ""; do
+ for d in PASSPHRASE_MOVE ""; do
+ for e in PASSPHRASE_INSERT ""; do
+ for f in PASSPHRASE_OVERRIDE ""; do
+ for g in PASSPHRASE_DELETE ""; do
+ for h in PASSPHRASE_CONTROL ""; do
+ for i in PASSPHRASE_DEDICATED ""; do
+ for j in DEFAULT_INSERT ""; do
+ make libpassphrase -B OPTIONS="$a $b $c $d $e $f $g $h $i $j $k" || exit 1
done
done
done
@@ -25,4 +21,5 @@ for a in PASSPHRASE_ECHO ""; do
done
done
done
+done